﻿using UnityEngine;

public class MainMenuControllerClient : MonoBehaviour
{
	public GameObject MainMenu;
    public GameObject HowToPlayMenu;
    public GameObject HowToPlayMenu_inventory;

	private void Awake ()
	{
		MainMenu.SetActive (true);
        HowToPlayMenu.SetActive(false);
        HowToPlayMenu_inventory.SetActive(false);
    }
		
	public void OnPlayClick ()
	{
		UnityEngine.SceneManagement.SceneManager.LoadScene ("LoginScreen");
	}

	public void OnHowToPlayClick ()
	{
		MainMenu.SetActive (false);
        HowToPlayMenu.SetActive (true);
	}

    public void OnContinueClick()
    {
        HowToPlayMenu.SetActive(false);
        HowToPlayMenu_inventory.SetActive(true);
    }

    public void OnBacktomainmenuClick()
    {
        HowToPlayMenu.SetActive(false);
        HowToPlayMenu_inventory.SetActive(false);
        MainMenu.SetActive(true);
    }
}
