﻿using UnityEngine;
using Networking.Client;
using Networking;

public class NetworkOutput : MonoBehaviour
{
    public LogicTrayUI Tray;

    [SerializeField]
    protected ClientObject Client;

    [ContextMenu("Send list")]
    public void SendList()
    {
        LogicProtocols.LogicMsg msg = new LogicProtocols.LogicMsg(Tray.reader.LogicChain.ToArray());
        Debug.Log("sending on " + LogicProtocols.SendLogicList);
        Client.client.SendByChannel(LogicProtocols.SendLogicList, msg,TransportConfigure.ReliableFragmented);
    }
}
