﻿using System.Collections;
using UnityEngine;

public class TutorialSetup : MonoBehaviour
{
    public Character character;
    public InventoryUI inventoryUI;

    void Start()
    {
        StartCoroutine(wait(0.1f, new System.Action(LastStart)));
    }

    void LastStart()
    {
        inventoryUI.inventory = character.Inventory;
    }

    IEnumerator wait(float time, System.Action callback)
    {
        yield return new WaitForSeconds(time);
        callback();
    }
}
